| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Attributes | List of all members
Digikam::DImageHistory::Entry Class Reference

## Public Attributes
FilterAction | action
| A DImageHistory is a list of entries.
QList< HistoryImageId > | referredImages

## Member Data Documentation

## ◆ action

FilterAction Digikam::DImageHistory::Entry::action

Each entry has one action. The action can be null, but it shall be null only if it is the action of the first entry, with the "Original" as referred image, representing the action of digitization.

There can be zero, one or any number of referred images per entry. A referred image is a file in the state after the action is applied.